PDA

View Full Version : "!!ARBvp1.0" : unrecognized ?



Ysaneya
12-17-2006, 09:55 AM
One of my users is reporting the following problem:

He's got a Radeon 9800 XT under WinXP, latest drivers (he claims).

The following shader is trying to load:


!!ARBvp1.0

# Constant Parameters
# Constant Parameters
PARAM mvp[4] = { program.local[0..3] }; # modelviewprojection matrix

# Per-vertex inputs
ATTRIB inPos = vertex.position;
ATTRIB inTex0 = vertex.texcoord[0];

# Per-vertex outputs
OUTPUT outPosition = result.position;
OUTPUT outTex0 = result.texcoord[0];

# Transform
DP4 outPosition.x, mvp[0], inPos; # Transform the x component of the per-vertex position into clip-space
DP4 outPosition.y, mvp[1], inPos; # Transform the y component of the per-vertex position into clip-space
DP4 outPosition.z, mvp[2], inPos; # Transform the z component of the per-vertex position into clip-space
DP4 outPosition.w, mvp[3], inPos; # Transform the w component of the per-vertex position into clip-space

MOV outTex0, inTex0;

ENDWhen doing a "glGetString(GL_PROGRAM_ERROR_STRING_ARB)", the following is returned:

Error on line 1: missing or invalid version (hint: '0')

To me it sounds like the driver expects the string "!!ARBvp1", but i checked the specs, and they clearly state that "!!ARBvp1.0" is the good one.

Anybody seen that before ?

Y.

CatAtWork
12-17-2006, 11:52 AM
http://gpubench.cvs.sourceforge.net/gpubench/gpubench/gpubench.cpp?view=markup
Check out gpubench_getDriverVersion if you want to make sure he's not lying. :)